Skip to main content
connection

An auto-generated type for paginating through multiple GiftCards.

Anchor to Fields with this connectionFields with this connection

•OBJECT

The fields that will be kept as part of a customer merge preview.


Was this section helpful?

Anchor to Queries with this connectionQueries with this connection

•query

Returns a paginated list of GiftCard objects issued for the shop.

You can filter gift cards by attributes such as status, last characters of the code, balance status, and other values using the query parameter. You can also apply SavedSearch objects to filter results.

Arguments

•Int

The first n elements from the paginated list.

•String

The elements that come after the specified cursor.

•Int

The last n elements from the paginated list.

•String

The elements that come before the specified cursor.

•Boolean
Default:false

Reverse the order of the underlying list.

•GiftCardSortKeys
Default:ID

Sort the underlying list using a key. If your query is slow or returns an error, then try specifying a sort key that matches the field used in the search.

•String

A filter made up of terms, connectives, modifiers, and comparators. You can apply one or more filters to a query. Learn more about Shopify API search syntax.

Anchor to default
•string

Filter by a case-insensitive search of multiple fields in a document, including gift card codes.

Example:

  • query=a5bh6h64b329j4k7
  • query=Bob Norman
Anchor to balance_status
•string

Valid values:

  • full
  • partial
  • empty
  • full_or_partial

Example:

  • balance_status:full
Anchor to created_at
•time

Example:

  • created_at:>=2020-01-01T12:00:00Z
Anchor to expires_on
•date

Example:

  • expires_on:>=2020-01-01
•id

Filter by id range.

Example:

  • id:1234
  • id:>=1234
  • id:<=1234
Anchor to initial_value
•string

Example:

  • initial_value:>=100
•string

Valid values:

  • manual
  • purchased
  • api_client

Example:

  • source:manual
•string

Valid values:

  • disabled
  • enabled
  • expired
  • expiring

Example:

  • status:disabled OR status:expired
•ID

The ID of a saved search. The search’s query string is used as the query argument.



Was this section helpful?

•[GiftCardEdge!]!
non-null

The connection between the node and its parent. Each edge contains a minimum of the edge's cursor and the node.

•[GiftCard!]!
non-null

A list of nodes that are contained in GiftCardEdge. You can fetch data about an individual node, or you can follow the edges to fetch data about a collection of related nodes. At each node, you specify the fields that you want to retrieve.

•PageInfo!
non-null

An object that’s used to retrieve cursor information about the current page.


Was this section helpful?